package com.adealink.weparty.module.playmate

import androidx.lifecycle.ViewModelStoreOwner
import com.adealink.frame.base.Rlt
import com.adealink.weparty.aab.IService
import com.adealink.weparty.module.playmate.viewmodel.IPlaymateDetailViewModel
import com.adealink.weparty.module.playmate.viewmodel.IPlaymateViewModel

interface IPlaymateService : IService<IPlaymateService> {

    fun getPlaymateViewModel(owner: ViewModelStoreOwner): IPlaymateViewModel?

    fun getPlaymateDetailViewModel(owner: ViewModelStoreOwner): IPlaymateDetailViewModel?

    /**
     * 上报欢迎回复
     */
    fun reportWelcomeReply(uid:String)

    /**
     * 上报UserPush私聊消耗
     */
    fun reportUserPushChat(uid: String)

    /**
     * UserPush私聊是否可用
     */
    suspend fun isUserPushChatAvailable(uid: String): Rlt<Boolean>
}